Bug 238489 - java/eclipse: fix build on GCC architectures
Summary: java/eclipse: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-11 08:17 UTC by Piotr Kubaj
Modified: 2019-06-19 15:12 UTC (History)
2 users (show)

See Also:
jonc: maintainer-feedback+


Attachments
patch (1.34 KB, patch)
2019-06-11 08:17 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (jonc)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-06-11 08:17:42 UTC
Created attachment 204979 [details]
patch

Eclipse now needs C11-capable compiler:
     [exec] /usr/local/include/webkitgtk-4.0/jsc/JSCClass.h:37: error: redefinition of typedef 'JSCClass'
     [exec] /usr/local/include/webkitgtk-4.0/jsc/JSCValue.h:43: error: previous declaration of 'JSCClass' was here
     [exec] /usr/local/include/webkitgtk-4.0/jsc/JSCClass.h:40: error: redefinition of typedef 'JSCContext'
     [exec] /usr/local/include/webkitgtk-4.0/jsc/JSCValue.h:44: error: previous declaration of 'JSCContext' was here

Also, remove setting CC=gcc from files/patch-eclipse.platform.swt and add CC=${CC} to MAVEN_ENV. This is to actually use the new GCC from ports.
Comment 1 commit-hook freebsd_committer 2019-06-16 22:59:07 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Jun 16 22:58:17 UTC 2019
New revision: 504379
URL: https://svnweb.freebsd.org/changeset/ports/504379

Log:
  java/eclipse: fix build

  Require new GCC to build this port on GCC architectures.

  PR:		238489
  Approved by:	jonc@chen.org.nz (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D20667

Changes:
  head/java/eclipse/Makefile
  head/java/eclipse/files/patch-eclipse.platform.swt